<template>
  <div class="reward-dialog">
    <el-dialog
      v-model="spinningState.settled"
      :show-close="false"
      :width="isMobile ? '90%' : '30%'"
      align-center
      :close-on-press-escape="false"
      :close-on-click-modal="false"
    >
      <template #title>
        <div class="flex justify-center gap-2 reward-title ol-bg-light">
          <span class="font-medium" :class="isMobile ? 'text-xl' : 'text-2xl'"
            >{{ $t("Congratulations") }} !!</span
          >
        </div>
      </template>
      <div class="flex flex-col items-center gap-2">
        <div class="text-sm font-medium">{{ $t("You won") }}</div>
        <div class="font-black" :class="isMobile ? 'text-2xl' : 'text-[32px]'">
          {{ CURRENCY_SIGN?.[currency] ?? currency }} {{ reward.BonusAmount }}
        </div>
      </div>
      <template #footer>
        <a
          href="#"
          class="fc-primary uppercase flex justify-center font-bold reward-footer"
          :class="isMobile ? 'text-base' : 'text-2xl'"
          @click.prevent="onCLickCliamReward"
          >{{ $t("click to claim") }}</a
        >
      </template>
    </el-dialog>
  </div>
</template>

<script lang="ts" setup>
import { IResult, ISpinState } from "~~/models/lucky-wheel/luckyWheel";

type propsType = {
  reward: IResult;
  spinState: ISpinState;
  currency: string;
};

const props = defineProps<propsType>();
const emits = defineEmits(["update:spinState"]);
const spinningState = ref(props.spinState);
const onCLickCliamReward = () => {
  spinningState.value = {
    isDefault: true,
    isSpinning: false,
    isStoppedSpin: false,
    settled: false,
  };
  emits("update:spinState", spinningState.value);
};
const isMobile = !useIsDesktop();
</script>

<style lang="scss">
.reward-dialog {
  .el-dialog {
    background: var(--background5) !important;
    outline: unset;
    margin-top: auto;
    margin-bottom: auto;
    border-radius: 16px;

    .el-dialog__header {
      margin-right: 0;
      padding: 0;
    }
    .el-dialog__footer {
      margin-right: 0;
      padding: 0;
    }
  }
  .reward-title {
    padding-top: 14px;
    padding-bottom: 14px;
    border-bottom: 1px solid var(--border);
    border-top-left-radius: 16px;
    border-top-right-radius: 16px;
    --bg-opacity: 0.05;
    --bg-base-color: var(--background5);
  }
  .reward-footer {
    padding-top: 14px;
    padding-bottom: 14px;
    border-top: 1px solid var(--border);
  }
}
</style>
